"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceComplianceScheduledActionForRuleItemRequestBuilderGetQueryParameters = void 0;
/** The list of scheduled action per rule for this compliance policy. This is a required property when creating any individual per-platform compliance policies.  */
class DeviceComplianceScheduledActionForRuleItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DeviceComplianceScheduledActionForRuleItemRequestBuilderGetQueryParameters = DeviceComplianceScheduledActionForRuleItemRequestBuilderGetQueryParameters;
