"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryObjectItemRequestBuilderGetQueryParameters = void 0;
/** The list of users or groups that are allowed to create post's or calendar events in this group. If this list is non-empty then only users or groups listed here are allowed to post.  */
class DirectoryObjectItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DirectoryObjectItemRequestBuilderGetQueryParameters = DirectoryObjectItemRequestBuilderGetQueryParameters;
