/** The list of users or groups that are not allowed to create posts or calendar events in this group. Nullable  */
export declare class DirectoryObjectItemRequestBuilderGetQueryParameters {
    /** Select properties to be returned  */
    select?: string[] | undefined;
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName: string | undefined): string;
}
