"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscribedSkusRequestBuilderGetQueryParameters = void 0;
/** Get entities from subscribedSkus  */
class SubscribedSkusRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SubscribedSkusRequestBuilderGetQueryParameters = SubscribedSkusRequestBuilderGetQueryParameters;
